﻿using System;

namespace TrafficWatcher.Models.DirectionsProvider
{
    public class GoogleMaps : IDirectionsProvider
    {
        public string Name { get { return "Google Maps"; } }
        public TimeSpan CalculateDuration(string start, string finish)
        {
            return TimeSpan.FromMinutes(new Random().Next(3 * 60));
        }

        public string GetUri(string start, string finish)
        {
            return "http://www.google.com/maps";
        }
    }
}