﻿using System;

namespace TrafficWatcher.Models.DirectionsProvider
{
    public class YandexMaps : IDirectionsProvider
    {
        public string Name { get { return "Yandex.Maps"; } }
        public TimeSpan CalculateDuration(string start, string finish)
        {
            return TimeSpan.FromMinutes(new Random().Next(3 * 60));
        }

        public string GetUri(string start, string finish)
        {
            return String.Format("http://maps.yandex.ru/?rtext={0}~{1}", start, finish);
        }
    }
}