﻿namespace TrafficWatcher.Infrastructure
{
    public interface IEnvironmentContext
    {
        void OpenUrl(string url);
        void ManageTheApplicationRunAtStartup(bool run);
        bool DoesTheApplicationRunAtStartup();
        void SaveSettings(SettingsDto settingsDto);
        SettingsDto LoadSettings();
        void ShutdownTheApplication();
    }
}
