﻿using System;

namespace TrafficWatcher.Models.DirectionsProvider
{
    public class NokiaHere : IDirectionsProvider
    {
        public string Name { get { return "Nokia Here"; } }
        public TimeSpan CalculateDuration(string start, string finish)
        {
            return TimeSpan.FromMinutes(new Random().Next(3 * 60));
        }

        public string GetUri(string start, string finish)
        {
            return "http://here.com";
        }
    }
}